var stylenr;
var stylemin=0;
var stylemax=1;
    
    function Setup() {
        //Standardeinstellungen schreiben
        //System.Sound.beep();
        System.Gadget.Settings.write("font", 5);
        System.Gadget.Settings.write("backstyle", 0);
        System.Gadget.Settings.write("laststate", 0);
        System.Gadget.Settings.write("onloadzeit", true);
        System.Gadget.Settings.write("onloadwlan", false);
        System.Gadget.Settings.write("onloadakku", false);
        System.Gadget.Settings.write("onloadsys", false);
        System.Gadget.Settings.write("onloaddrive", false);
        System.Gadget.Settings.write("onloadtrash", false);
        System.Gadget.Settings.write("akkulow", 20);
        System.Gadget.Settings.write("akkukrit", 10);
        System.Gadget.Settings.write("cpuhigh", 60);
        System.Gadget.Settings.write("cpufull", 95);

        //Grundeinstellungen sind gespeichert!
        System.Gadget.Settings.write("Setup", 1);
    }
    
    function resetsettings() {
        Setup();
        initSettings();
    }
    
    function settingsnav(index) {
        startup.style.display="none";
        
        for (i=0;i<3;i++) {
            cont[i].style.display="none";
            nav[i].style.color="black";
            nav[i].style.fontWeight="normal";
        }
        
        cont[index].style.display="inline";
        cont[index].style.visibility="visible";
        nav[index].style.color="#777777";
        nav[index].style.fontWeight="bold";
    }
    
    function initSettings() {
        //Event-Handler
        System.Gadget.onSettingsClosing=settingsclosing;

        //gespeicherte Einstellungen laden...
        ziel.selectedIndex=System.Gadget.Settings.read("font");
        stylenr=System.Gadget.Settings.read("backstyle");
        showstyle();
        if (System.Gadget.Settings.read("laststate")==0) 
            startselect.checked=true
        else
            startlast.checked=true;
        zeitcheck.checked=System.Gadget.Settings.read("onloadzeit");
        wlancheck.checked=System.Gadget.Settings.read("onloadwlan");
        akkucheck.checked=System.Gadget.Settings.read("onloadakku");
        syscheck.checked=System.Gadget.Settings.read("onloadsys");
        drivecheck.checked=System.Gadget.Settings.read("onloaddrive");
        trashcheck.checked=System.Gadget.Settings.read("onloadtrash");
        startvisible();
        akkulow.value=System.Gadget.Settings.read("akkulow");
        akkukrit.value=System.Gadget.Settings.read("akkukrit");
        cpuhigh.value=System.Gadget.Settings.read("cpuhigh");
        cpufull.value=System.Gadget.Settings.read("cpufull");
        
        settingsnav(0);
    }

    function settingsclosing(event) {
        if (event.closeAction == event.Action.commit) {
            //neue Einstellungen prfen...
            checknew();
            
            //Einstellungen speichern
            System.Gadget.Settings.write("font", ziel.selectedIndex)
            System.Gadget.Settings.write("backstyle", stylenr);
            if (startselect.checked) {
                System.Gadget.Settings.write("laststate", 0);
                System.Gadget.Settings.write("onloadzeit", zeitcheck.checked);
                System.Gadget.Settings.write("onloadwlan", wlancheck.checked);
                System.Gadget.Settings.write("onloadakku", akkucheck.checked);
                System.Gadget.Settings.write("onloadsys", syscheck.checked);
                System.Gadget.Settings.write("onloaddrive", drivecheck.checked);
                System.Gadget.Settings.write("onloadtrash", trashcheck.checked);
            } else {
                System.Gadget.Settings.write("laststate", 1); 
                checktosave();  
            }
            System.Gadget.Settings.write("akkulow", akkulow.value);
            System.Gadget.Settings.write("akkukrit", akkukrit.value);
            System.Gadget.Settings.write("cpuhigh", cpuhigh.value);
            System.Gadget.Settings.write("cpufull", cpufull.value);
        } else if (event.closeAction == event.Action.cancel) {
            //Abbrechen gewhlt
            
        }
    }

    function settingsclosed() {
    
        //aktualisieren
        layout();
        getall();
    }
    
    
    function startvisible() {
        if (startselect.checked) {
            zeitcheck.disabled=false;
            wlancheck.disabled=false;
            akkucheck.disabled=false;
            syscheck.disabled=false;
            drivecheck.disabled=false;
            trashcheck.disabled=false;
        } else {
            zeitcheck.disabled=true;
            wlancheck.disabled=true;
            akkucheck.disabled=true;
            syscheck.disabled=true;
            drivecheck.disabled=true;
            trashcheck.disabled=true;
        }
    }
    
    function stylenav(dir) {
        stylenr=eval(stylenr+dir);
        if (stylenr<stylemin) stylenr=stylemax;
        if (stylenr>stylemax) stylenr=stylemin;
    
        showstyle();
    }
    
    function showstyle() {
        tmpstylenr=stylenr;
        if (tmpstylenr<10) tmpstylenr="0"+tmpstylenr;
        styleid.innerHTML=" Design "+(stylenr+1)+"/"+(stylemax+1)+" ";
        stylepic.style.backgroundImage="url('images/"+tmpstylenr+"style.png')";
    }
    
    
    
    //##################################
    //Einstellungen vor Speichern prfen
       
    function checknew() {
        pruefeAkku();
        pruefeSys();
    }
         
    function pruefeAkku() {
        if (akkulow.value<1 || akkulow.value>99 || isNaN(akkulow.value)) {
            settingsnav(2);
            error.innerHTML="Niedriger Ladezustand falsch:<br />";
            error.innerHTML+=pholder()+" Mindestwert > 0";
            error.innerHTML+=pholder()+" Maximalwert < 99";
            throw("AkkuError");
        }
        if (akkukrit.value<0 || akkukrit.value>=akkulow.value || isNaN(akkukrit.value)) {
            settingsnav(2);
            error.innerHTML="Kritischer Ladezustand falsch:<br />";
            error.innerHTML+=pholder()+" Mindestwert >= 0";
            error.innerHTML+=pholder()+" Maximalwert < Niedriger Ladezustand";
            throw("AkkuError");
        }
    }    
    
    function pruefeSys() {
        if (cpuhigh.value<0 || cpuhigh.value>99 || isNaN(cpuhigh.value)) {
            settingsnav(2);
            error.innerHTML="Hohe CPU-Auslastung falsch:<br />";
            error.innerHTML+=pholder()+" Mindestwert > 0";
            error.innerHTML+=pholder()+" Maximalwert < 99";
            throw("SysError");
        }
        if (cpufull.value<cpufull.value || cpufull.value>100 || isNaN(cpufull.value)) {
            settingsnav(2);
            error.innerHTML="CPU-Vollast falsch:<br />";
            error.innerHTML+=pholder()+" Mindestwert > Hohe CPU-Auslastung";
            error.innerHTML+=pholder()+" Maximalwert <= 100";
            throw("SysError");
        }
    }